$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://github.com/RPCS3/rpcs3-binaries-win/releases/download/build-8df1d74395ed4973227d451077c9cff2db8cbda7/rpcs3-v0.0.12-10881-8df1d743_win64.7z"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url           = $url
  checksum      = 'd5180cd8c6ec8eafc7dcaeed6da7a089f796d178f7339c9b225c9681d3079299'
  checksumType  = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
